function [sig,C,alpha,b,V,fX]=do_hdda_rbf(x,y,nbpc)
% x : matrix input of size n*d where n is the number of samples and
% d the number of variables
% y : the label matrix of size n*1
% nbpc :  the size of the signal suspace. Can be estimate using the
% "signal_subspace_selection" function.

% Get size of the data
[n,d]=size(x);

% Set option of the optimizer
opt.verb = 1;
opt.nonorm = 1;

% Compute global variable D
global D
D = sqdist(x,x);

for CLASSE=1:max(y)
    %select the class
    Y(y~=CLASSE)=-1;
    Y(y==CLASSE)=1;
    Y=Y';    
    
    %Project the data
    xi = x(y==CLASSE,:);
    ni = size(xi,1);
    co = double(cov(xi));
    
    if(size(xi,1)>d)
        [v e]=eigs(co,d-1);
    else
        [v e]=eigs(co,ni-1);
    end
    clear co
    [e i]=sort(diag(e),'descend');
    v = v(:,i);clear i;
    V{CLASSE} = v(:,1:nbpc(CLASSE));
    X=x*V{CLASSE};
 
    %run AMS
    [sig{CLASSE},C{CLASSE},alpha{CLASSE},b{CLASSE},fX{CLASSE}] = ams_ppca(X,Y,'rm',0,opt);
    
    clear X Y v e co xi ni
end